%{?nodejs_find_provides_and_requires}

%global packagename read-only-stream
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.1.1
Release: 1%{?dist}.3
Summary: Wrap a readable/writable stream to be read-only
License: MIT
URL: https://github.com/substack/read-only-stream
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(readable-stream) >= 1.0.31
BuildRequires: npm(readable-stream) < 2.0.0
BuildRequires: npm(readable-wrap) >= 1.0.0
BuildRequires: npm(readable-wrap) < 2.0.0
%if 0%{?enable_tests}
BuildRequires: npm(concat-stream) >= 1.4.6
BuildRequires: npm(concat-stream) < 2.0.0
BuildRequires: npm(tape) >= 2.13.2
BuildRequires: npm(through) >= 2.3.4
BuildRequires: npm(through) < 3.0.0
BuildRequires: npm(through2) >= 0.6.1
%endif

%description
Wrap a readable/writable stream to be read-only
to prevent mucking up the input side.


%prep
%setup -q -n package
%nodejs_fixdep --dev tape '>=2.3.4'
%nodejs_fixdep --dev through2 '>=0.6.1'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps
# Fix symlink to point to specific version
rm -f %{buildroot}%{nodejs_sitelib}/%{packagename}/node_modules/readable-stream
ln -sf /usr/lib/node_modules/readable-stream@1 %{buildroot}%{nodejs_sitelib}/%{packagename}/node_modules/readable-stream

%check
%nodejs_symlink_deps --check
# Fix symlink to point to specific version
rm -f node_modules/readable-stream
ln -sf /usr/lib/node_modules/readable-stream@1 node_modules/readable-stream

%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test/*.js
%endif


%files
%license LICENSE
%doc *.markdown example
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Oct  2 2016 Oleg Girko <ol@infoserver.lv> - 1.1.1-1
- Initial package.
